aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/.travis/lib/test.sh
diff options
context:
space:
mode:
Diffstat (limited to '.travis/lib/test.sh')
-rwxr-xr-x.travis/lib/test.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/.travis/lib/test.sh b/.travis/lib/test.sh
new file mode 100755
index 0000000..c91ce48
--- /dev/null
+++ b/.travis/lib/test.sh
@@ -0,0 +1,27 @@
+#!/usr/bin/env bash
+
+# Copyright (c) 2020 Egor Tensin <Egor.Tensin@gmail.com>
+# This file is part of the "VK scripts" project.
+# For details, see https://github.com/egor-tensin/vk-scripts.
+# Distributed under the MIT License.
+
+set -o errexit -o nounset -o pipefail
+
+script_dir="$( dirname -- "${BASH_SOURCE[0]}" )"
+script_dir="$( cd -- "$script_dir" && pwd )"
+readonly script_dir
+
+run_test() {
+ local arg
+ echo
+ echo ======================================================================
+ for arg; do
+ echo -n "$arg "
+ done
+ echo
+ echo ======================================================================
+
+ PYTHONPATH="$script_dir/../.." python3 -m "$@"
+}
+
+run_test "$@"